## org.eclipse.datatools.enablement.sap.maxdb
Class MaxDBTableConstraintLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
              org.eclipse.datatools.enablement.sap.maxdb.MaxDBTableConstraintLoader

    public class MaxDBTableConstraintLoader

extends JDBCTableConstraintLoader

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`COLUMN_COLUMN_NAME, COLUMN_DEFERRABILITY, COLUMN_DELETE_RULE, COLUMN_FK_NAME, COLUMN_FKCOLUMN_NAME, COLUMN_KEY_SEQ, COLUMN_PK_NAME, COLUMN_PKCOLUMN_NAME, COLUMN_PKTABLE_CAT, COLUMN_PKTABLE_NAME, COLUMN_PKTABLE_SCHEM, COLUMN_UPDATE_RULE`

Constructor Summary
`MaxDBTableConstraintLoader()`
`MaxDBTableConstraintLoader(ICatalogObject catalogObject)` This constructs the loader using no filter.
`MaxDBTableConstraintLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`PrimaryKey` `loadPrimaryKey(PrimaryKey existingPK)` Loads the "primary key" object from the database.
`void` `loadUniqueConstraints(PrimaryKey pk, java.util.List containmentList, java.util.Collection existingUCs)` Loads the "unique constraint" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableConstraintLoader
`clearConstraints, loadForeignKeys, loadForeignKeys, loadPrimaryKey, loadUniqueConstraints`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxDBTableConstraintLoader

    public MaxDBTableConstraintLoader()

### MaxDBTableConstraintLoader

    public MaxDBTableConstraintLoader(ICatalogObject catalogObject)

  This constructs the loader using no filter.

  Parameters:
    `catalogObject` - the Table object upon which this loader operates.

### MaxDBTableConstraintLoader

    public MaxDBTableConstraintLoader(ICatalogObject catalogObject,
                                      IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` - the Catalog object upon which this loader operates.
  `connectionFilterProvider` - the filter provider used for filtering the "constraint" objects being loaded

Method Detail

### loadPrimaryKey

    public PrimaryKey loadPrimaryKey(PrimaryKey existingPK)
                              throws java.sql.SQLException

  Loads the "primary key" object from the database. This method uses the result set from createPrimaryKeyResultSet() to load the "primary key" object from the server..

  Overrides:
    `loadPrimaryKey` in class `JDBCTableConstraintLoader`
  Parameters:
    `existingPK` - the existing primary key, if one exists.
  Returns:
    the table's primary key
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.

### loadUniqueConstraints

    public void loadUniqueConstraints(PrimaryKey pk,
                                      java.util.List containmentList,
                                      java.util.Collection existingUCs)
                               throws java.sql.SQLException

  Loads the "unique constraint" objects from the database. This method uses the result set from createUniqueConstraintResultSet() to load the "unique constraint" objects from the server.

  Overrides:
    `loadUniqueConstraints` in class `JDBCTableConstraintLoader`
  Parameters:
    `pk` - the table's primary key. Used to prevent duplicating the PK constraint.
    `containmentList` - the containment list held by parent
    `existingUCs` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.